Subject: Trainer Candidate - jasmeet Sethi
From: jasmeet Sethi <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 3 Jan 2023 02:19:28 -0500

| | Tech Support Test

Name | jasmeet Sethi
E-mail | [email-masked]
Phone Number | (91) 9953191159
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | Dwarka

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Teleperformance | Technical support associate | 28Feb | 26k
Previous Employer 1 | Bindu batra sparkle minds | Branch assistant manager | Aug 2019 | 20k
Previous Employer 2 | | | |

If Selected, how much time do you need to join? | 1 month
Please briefly describe your work experience specifically in Quality? | As I am working in Teleperformance in Adobe process, so I take chats and calls both as per the requirement. And I am the top performer and I can handle 3 consecutive chats as according to the flow. Also, I have audited few chats on the behalf of my team as I always the top performer in terms of quality so I know what needs to be done. Also, when I was in Bindu batra sparkle minds, I was the assistant manager and I used to handle teachers as well as parents, I have always believed in the quality we give to the students and have always corrected their way.
Have you worked as a Quality Manager in a Call Center/Customer Service/BPO Environment? | No

Please tell us below in 300 - 500 words about the most difficult situation in your experience as someone who is responsible to manage and bring improvements in quality of your team

Good customer service is essentially good problem-solving. If you want to deliver good customer service, you need to hire people who are interested in helping others and who enjoy solving problems. Listening is perhaps the number-one skill necessary to deliver good customer service. Teach your employees to listen well by reminding them to let their customers finish their sentences before responding. Everyone wants to feel like someone genuinely cares about their problem and is there to help them.

Unfortunately, there will be times when your employees can’t give customers exactly what they want. However, that doesn’t mean they have to say no without first looking for a compromise of some sort. Help your employees learn to practice patience and empathy. Teach them phrases such as, “Let me ask my manager about this and see if there’s something we can do.” Even if it’s just a few minutes of conversation, taking the time with a customer to establish some rapport can make it more palatable for the customer if their request ultimately can’t be fulfilled. But, there’s a catch: In order for empathy to be effective, it must be genuine. So, it’s important for you to model the appropriate behavior in your dealings with your employees (i.e., show them the same level of patience and empathy you expect them to show customers). It’s also critical that you place the right employees in customer service roles. Not all personalities are suited to customer interaction.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

Good Customer Service – Your customer emails from your website. You respond within 24 hours.
Great Customer Service – You respond to that customer within minutes. (And watch out, this is fast becoming the standard of simply “good” service.)

Good Customer Service – Your customer is not happy with a product/service and wants to return it or get a refund. You willingly accept the return less any restocking or trouble it causes you.
Great Customer Service – You not only graciously accept the return but let the customer know you will waive all fees associated to ensure that their experience is a good one. You then suggest alternative products/services that might fit them based on their feedback on the initial experience.

Good Customer Service – For one reason or another, your customer is irate and you have to deal with it. While they are being offensive and it was not your doing, you work to the best of your ability to help them.
Great Customer Service – First, you apologize, even if you had nothing to do with why they are upset. You accept responsibility. Let them know you will work to resolve this and actively search for ways to turn their frustration into satisfaction.

What according to you makes you a good candidate for this position?

I have seen the impact of quality failures from both sides of the business process. From the viewpoint of the external as well as the internal customer and have often found the business process is not equipped to incorporate the needs of the external customer who actually pays for everything but is more to accommodate the needs and views of the business owner. I have been involved in the quality control process and I have the necessary temperament, communications and technical skills to bring people to the table to let them understand what is at stake and how much it actually costs to the business to continue as it is doing, i.e. recognise the financial impact of not incorporating the external customers needs and what it means to change the process so the increase in business volume will pay off any additional overhead costs incurred.

I like to take responsibility for delivering a product with high quality. I am reading requirements carefully and I am persistent in verifying, that the product fullfils these requirments. In addition I have a talent in finding loop holes and contradictions in requirments and edge cases in testing. I am self organized, self motivated and I like to document my work.

On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |